qimportbz doesn't work with python2.4

RESOLVED WONTFIX

Status

RESOLVED WONTFIX
7 years ago
4 years ago

People

(Reporter: timeless, Unassigned)

Tracking

Trunk
x86
Linux

Details

(Whiteboard: [kanban:engops:https://mozilla.kanbanize.com/ctrl_board/6/940] )

Attachments

(1 attachment)

(Reporter)

Description

7 years ago
Created attachment 525360 [details] [diff] [review]
changes

konigsberg runs:
CentOS release 5.5 (Final)

and python there is 2.4, mercurial supports this, qimportbz dies horribly.
Attachment #525360 - Flags: review?(tellrob)
Comment on attachment 525360 [details] [diff] [review]
changes

I don't really like the changes that remove the 'if ... else' syntax in favor of the short circuiting 'logical' operators as it decreases the readability of already poor code. Python 2.4 is pretty old - is there any chance you could upgrade to a more recent version? The last version of 2.4 was released in Dec 2008 after being out for around 3 years.
Attachment #525360 - Flags: review?(tellrob) → review-
(Assignee)

Updated

4 years ago
Product: Other Applications → Developer Services

Updated

4 years ago
Whiteboard: [kanban:engops:https://kanbanize.com/ctrl_board/6/260]

Updated

4 years ago
Whiteboard: [kanban:engops:https://kanbanize.com/ctrl_board/6/260] → [kanban:engops:https://mozilla.kanbanize.com/ctrl_board/6/934] [kanban:engops:https://kanbanize.com/ctrl_board/6/260]

Updated

4 years ago
Whiteboard: [kanban:engops:https://mozilla.kanbanize.com/ctrl_board/6/934] [kanban:engops:https://kanbanize.com/ctrl_board/6/260] → [kanban:engops:https://mozilla.kanbanize.com/ctrl_board/6/938] [kanban:engops:https://kanbanize.com/ctrl_board/6/260]

Updated

4 years ago
Whiteboard: [kanban:engops:https://mozilla.kanbanize.com/ctrl_board/6/938] [kanban:engops:https://kanbanize.com/ctrl_board/6/260] → [kanban:engops:https://mozilla.kanbanize.com/ctrl_board/6/940] [kanban:engops:https://kanbanize.com/ctrl_board/6/260]
(Assignee)

Updated

4 years ago
Whiteboard: [kanban:engops:https://mozilla.kanbanize.com/ctrl_board/6/940] [kanban:engops:https://kanbanize.com/ctrl_board/6/260] → [kanban:engops:https://mozilla.kanbanize.com/ctrl_board/6/940]

Comment 2

4 years ago
Unlike Mercurial, we have no interest in supporting Python < 2.6. If I have my way, we'll drop support for 2.6 ASAP.
Status: NEW → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → WONTFIX
You need to log in before you can comment on or make changes to this bug.